summaryrefslogtreecommitdiff
path: root/bin/copy_demos.sh
diff options
context:
space:
mode:
authorJohannes Herman <johannes.herman@gmail.com>2025-12-11 06:49:19 +0100
committerJohannes Herman <johannes.herman@gmail.com>2025-12-11 06:49:19 +0100
commitc14aabfd17c85632bd68db60867edb3fb662c7e7 (patch)
treed3fc7a1c44bba6fa56c39bd77013911151977532 /bin/copy_demos.sh
initial commit
Diffstat (limited to 'bin/copy_demos.sh')
-rwxr-xr-xbin/copy_demos.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/bin/copy_demos.sh b/bin/copy_demos.sh
new file mode 100755
index 0000000..dc827e4
--- /dev/null
+++ b/bin/copy_demos.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+SOURCE_DIR="demos"
+DEST_DIR="public/demos"
+
+mkdir -p "$DEST_DIR"
+
+for demo in "$SOURCE_DIR"/*; do
+ [ -f "$demo" ] || continue
+
+ filename=$(basename -- "$demo")
+ dest="$DEST_DIR/$filename"
+
+ [ -f "$dest" ] && continue
+
+ echo " copying demo: $filename"
+
+ cp "$demo" "$dest"
+done
+